%Acurio, Damette & Shanafelt Model (2020)
%Calculates the steady state

%Created by Veronica Acurio Vasconez
%June 2020

%clc; clear all; close all;

%Loading parameters and creating structure for easy transfer
load ../Settings/params.mat params moments initial_SIR switches;

%creating variables from the structures
params_names     =   fieldnames(params);
nn=length(params_names);
for ii=1:nn
    eval([params_names{ii} '=params.' params_names{ii} ';']);
end;

initial_names  =   fieldnames(initial_SIR);
mm  =   length(initial_names);
for ii=1:mm
    eval([initial_names{ii} '=initial_SIR.' initial_names{ii} ';']);
end;

moments_names  =   fieldnames(moments);
mm  =   length(moments_names);
for ii=1:mm
    eval([moments_names{ii} '=moments.' moments_names{ii} ';']);
end;


%Getting the steady state of variables
[SIR_vars_init,SIR_varexo_init,SIR_epi_init]   =   f_simul_initial(params,initial_SIR,moments);

%Saving the parameters and the variables
save ../Settings/ADS_SIR_init.mat params SIR_vars_init SIR_varexo_init SIR_epi_init;
