%%%%%%%%%%%%%
%Ploting differents Trajectories 
%Created by M. Groiss
%%%%%%%%%%%%%

%The trajectories are calculated by running ADS_simul
%They are alredy in percentage points

%Getting matrix results

%%%%%%
%SIR
%%%%%%
%


load results_pd_SIR_baseline.mat;
Traj_A=Traj;

load results_pd_SIR_phi1.mat;
Traj_B=Traj;

load results_pd_SIR_phi2.mat;
Traj_C=Traj;



%}

%Setting the plots

r=length(Traj_A.L);
T=(1:1:r);
m=3; %to be adjusted if we want more graphics
n=3; %to be adjusted if we want more graphics

figure1 = figure(1);
axes1 = axes('Parent',figure1,'XTick',zeros(1,0));

subplot(m,n,1,'align')
 hold on
 box('on')
 minY=min([min(Traj_A.C) min(Traj_B.C) min(Traj_C.C)]);
 maxY=max([max(Traj_A.C) max(Traj_B.C) max(Traj_C.C)]);
 axis([1,r,minY,maxY])
 set(gca,'XTick',1:10:r)
 plot(T,zeros(1,r),'r');
 plot(T,Traj_A.C, 'b', T,Traj_B.C, 'k--', T,Traj_C.C, 'k-.', 'LineWidth',1.5);
 title('Consumption');
 hold off

subplot(m,n,2,'align')
 hold on
 box('on')
 minY=min([min(Traj_A.Y) min(Traj_B.Y) min(Traj_C.Y)]);
 maxY=max([max(Traj_A.Y) max(Traj_B.Y) max(Traj_C.Y)]);
 axis([1,r,minY,maxY])
 set(gca,'XTick',1:10:r)
 plot(T,zeros(1,r),'r');
 plot(T,Traj_A.Y, 'b', T,Traj_B.Y, 'k--', T,Traj_C.Y, 'k-.', 'LineWidth',1.5);
 title('GDP');
 hold off

subplot(m,n,3,'align')
 hold on
 box('on')
 minY=min([min(Traj_A.Pi) min(Traj_B.Pi) min(Traj_C.Pi)]);
 maxY=max([max(Traj_A.Pi) max(Traj_B.Pi) max(Traj_C.Pi) ]);
 axis([1,r,minY,maxY])
 set(gca,'XTick',1:10:r)
 plot(T,zeros(1,r),'r');
 plot(T,Traj_A.Pi, 'b', T,Traj_B.Pi, 'k--', T,Traj_C.Pi, 'k-.', 'LineWidth',1.5);
 title('Inflation');
 hold off 

subplot(m,n,4,'align')
 hold on
 box('on')
 minY=min([min(Traj_A.V) min(Traj_B.V) min(Traj_C.V) ]);
 maxY=max([max(Traj_A.V) max(Traj_B.V) max(Traj_C.V)]);
 axis([1,r,minY,maxY])
 set(gca,'XTick',1:10:r)
 plot(T,zeros(1,r),'r');
 plot(T,Traj_A.V, 'b', T,Traj_B.V, 'k--', T,Traj_C.V, 'k-.',  'LineWidth',1.5);
 title('Expected discounted net wealth');
 hold off
 
subplot(m,n,5,'align')
 hold on
 box('on') 
 minY=min([min(Traj_A.Omega) min(Traj_B.Omega) min(Traj_C.Omega) ]);
 maxY=max([max(Traj_A.Omega) max(Traj_B.Omega) max(Traj_C.Omega) ]);
 axis([1,r,minY,maxY])
 set(gca,'XTick',1:10:r)
 plot(T,zeros(1,r),'r');
 plot(T,Traj_A.Omega, 'b', T,Traj_B.Omega, 'k--', T,Traj_C.Omega, 'k-.', 'LineWidth',2);
 title('Net wealth');
 %ylb = ylabel('% Change');
 %ylb.Position(2) = ylb.Position(2) - 0.1;
 hold off

subplot(m,n,6,'align')
 hold on
 box('on')
 minY=min([min(Traj_A.Z) min(Traj_B.Z) min(Traj_C.Z) ]);
 maxY=max([max(Traj_A.Z) max(Traj_B.Z) max(Traj_C.Z) ]);
 axis([1,r,minY,maxY])
 set(gca,'XTick',1:10:r)
 plot(T,zeros(1,r),'r');
 plot(T,Traj_A.Z, 'b', T,Traj_B.Z, 'k--', T,Traj_C.Z, 'k-.', 'LineWidth',1.5);
 title('Quantity of financial claims');
 hold off

subplot(m,n,7,'align')
 hold on
 box('on')
 minY=min([min(Traj_A.psi) min(Traj_B.psi) min(Traj_C.psi)]);
 maxY=max([max(Traj_A.psi) max(Traj_B.psi) max(Traj_C.psi)]);
 axis([1,r,minY,maxY])
 set(gca,'XTick',1:10:r)
 plot(T,zeros(1,r),'r');
 plot(T,Traj_A.psi, 'b', T,Traj_B.psi, 'k--', T,Traj_C.psi, 'k-.', 'LineWidth',1.5);
 title('Fraction of CB loans');
 hold off 
 
subplot(m,n,8,'align')
 hold on
 box('on')
 minY=min([min(Traj_A.R) min(Traj_B.R) min(Traj_C.R) ]);
 maxY=max([max(Traj_A.R) max(Traj_B.R) max(Traj_C.R)]);
 axis([1,r,minY,maxY])
 set(gca,'XTick',1:10:r)
 plot(T,zeros(1,r),'r');
 plot(T,Traj_A.R, 'b', T,Traj_B.R, 'k--', T,Traj_C.R, 'k-.',  'LineWidth',1.5);
 title('Risk free rate');
 hold off
 
subplot(m,n,9,'align')
 hold on
 box('on')
 minY=min([min(Traj_A.Rk) min(Traj_B.Rk) min(Traj_C.Rk) ]);
 maxY=max([max(Traj_A.Rk) max(Traj_B.Rk) max(Traj_C.Rk) ]);
 axis([1,r,minY,maxY])
 set(gca,'XTick',1:10:r)
 plot(T,zeros(1,r),'r');
 plot(T,Traj_A.Rk, 'b', T,Traj_B.Rk, 'k--', T,Traj_C.Rk, 'k-.', 'LineWidth',1.5);
 title('Firms interest rate');
 hold off

legend('0-line','baseline phi=4','phi=2','phi=6')

savefig('SIR_baseline_US_a.fig');


% m=3;
% n=3;
% 
% figure2 = figure(2);
% axes1 = axes('Parent',figure2,'XTick',zeros(1,0));
% 
% subplot(m,n,1,'align')
%  hold on
%  box('on')
%  minY=min(Traj_A.V1);
%  maxY=max(Traj_A.V1);
%  axis([1,r,minY,maxY])
%  set(gca,'XTick',1:10:r)
%  plot(T,zeros(1,r),'r');
%  h1=plot(T,Traj_A.V1,'b','LineWidth',2);
%  title('\nu QZ');
%  hold off
% 
% subplot(m,n,2,'align')
%  hold on
%  box('on')
%  minY=min(Traj_A.V2);
%  maxY=max(Traj_A.V2);
%  axis([1,r,minY,maxY])
%  set(gca,'XTick',1:10:r)
%  plot(T,zeros(1,r),'r');
%  plot(T,Traj_A.V2,'b','LineWidth',2);
%  title('\eta \Omega');
%  hold off
% 
% subplot(m,n,3,'align')
%  hold on
%  box('on')
%  minY=min(Traj_A.phi);
%  maxY=max(Traj_A.phi);
%  axis([1,r,minY,maxY])
%  set(gca,'XTick',1:10:r)
%  plot(T,zeros(1,r),'r');
%  plot(T,Traj_A.phi,'b','LineWidth',2);
%  title('\phi');
%  hold off 
% 
% subplot(m,n,4,'align')
%  hold on
%  box('on')
%  minY=min(Traj_A.Omega);
%  maxY=max(Traj_A.Omega);
%  axis([1,r,minY,maxY])
%  set(gca,'XTick',1:10:r)
%  plot(T,zeros(1,r),'r');
%  plot(T,Traj_A.Omega,'b','LineWidth',2);
%  title('\Omega');
%  hold off
%  
% 
% subplot(m,n,5,'align')
%  hold on
%  box('on')
%  minY=min(Traj_A.Q);
%  maxY=max(Traj_A.Q);
%  axis([1,r,minY,maxY])
%  set(gca,'XTick',1:10:r)
%  plot(T,zeros(1,r),'r');
%  plot(T,Traj_A.Q,'b','LineWidth',2);
%  title('Q');
%  hold off
% 
% subplot(m,n,6,'align')
%  hold on
%  box('on')
%  minY=min(Traj_A.Rk);
%  maxY=max(Traj_A.Rk);
%  axis([1,r,minY,maxY])
%  set(gca,'XTick',1:10:r)
%  plot(T,zeros(1,r),'r');
%  plot(T,Traj_A.Rk,'b','LineWidth',2);
%  title('R_k');
%  hold off
% 
% subplot(m,n,7,'align')
%  hold on
%  box('on')
%  minY=min(Traj_A.nu);
%  maxY=max(Traj_A.nu);
%  axis([1,r,minY,maxY])
%  set(gca,'XTick',1:10:r)
%  plot(T,zeros(1,r),'r');
%  plot(T,Traj_A.nu,'b','LineWidth',2);
%  title('\nu');
%  hold off
% 
% subplot(m,n,8,'align')
%  hold on
%  box('on')
%  minY=min(Traj_A.eta);
%  maxY=max(Traj_A.eta);
%  axis([1,r,minY,maxY])
%  set(gca,'XTick',1:10:r)
%  plot(T,zeros(1,r),'r');
%  plot(T,Traj_A.eta,'b','LineWidth',2);
%  title('\eta');
%  hold off
%  
% subplot(m,n,9,'align')
%  hold on
%  box('on')
%  minY=min(Traj_A.Pi);
%  maxY=max(Traj_A.Pi);
%  axis([1,r,minY,maxY])
%  set(gca,'XTick',1:10:r)
%  plot(T,zeros(1,r),'r');
%  plot(T,Traj_A.Pi,'b','LineWidth',2);
%  title('\Pi');
%  hold off
%  
% 
% savefig('SIR_baseline_US_b.fig');
